Page MenuHomePhabricator

Support legal requirements about publishing
Closed, ResolvedPublic

Description

Context

Adjust the publishing UI to meet the legal requirements for attribution.

Narrative

As a user, I can be informed about the terms under which my content gets published, so that I can just ignore them but no potential legal concerns are raised.

Acceptance Criteria

  1. When the user starts a translation, legal text is provided in the new panel dialog as shown in the design notes:
    1. The legal text is similar to the one appearing in the wikitext editor (those links should point to the same place).
    2. The only difference is that the "By pressing the 'X' button" part should match the name of the button in the UI for all languages
  2. We need to solve the case of users building a URL to access the translation view and thus bypassing the legal agreement, here is how we'll do that:
    1. For users that started a translation (and have been exposed to the legal terms already) we should let them get into he translation at any time without any additional interruption.
    2. For users that try to access the translation view directly for an article they have not explicitly started before, instead of directing them to the Translation view, they will be directed to the Translation Dashboard. There, the new translation dialog will be open and they will be able to start the translation with a single click (after reading the legal terms, as we all usually do).
  3. Read the acceptance criteria 1 again, and realise that this affects not only the "new translation dialog" but any entry point. Go and fix it for the red link entry point, and remember for future entry points to either (a) link to the Dashboard with the new translation fields pre-filled or (b) show the legal terms, or you may go to jail.

Design notes

The new translation dialog should incorporate the legal text, and we need to make sure that users are exposed at leas once (and prefereably only once) to it:

When a user tries to access another user's draft:

  • The draft content becomes non-interactive and translucent (opacity: 0.5) to indicate it is "disabled".
  • Publish button and saving indicator are hidden.
  • A dialog is shown in the warning area (view mockup below). It provides (a) a link to the translation author page, (b) a link to start a new translation (will go to the dashboard with the "new translation" dialog open and the fields pre-filled), (c) the legal text (note that the name of the button mentioned should match the current UI) and (d) a button to continue.
  • If the user continues, the above described elements would disappear and the user would be allowed to edit the draft.

Event Timeline

Arrbee created this task.Nov 28 2014, 5:41 AM
Arrbee assigned this task to santhosh.
Arrbee raised the priority of this task from to High.
Arrbee updated the task description. (Show Details)
Arrbee changed Security from none to None.

Change 176327 had a related patch set uploaded (by Santhosh):
Add the license agreement text to new translation dialog

https://gerrit.wikimedia.org/r/176327

Patch-For-Review

New translation dialog with legal agreement:

Arrbee moved this task from Backlog to Sprint Backlog on the Language-Team board.Nov 28 2014, 9:07 AM

This would be easier if "publishing" only happened in the regular editor: see for instance how VisualEditor sends you to action=edit (actually action=submit) when commuting an edit.

@Nemo_bis: publishing only happens in the regular editor (the Translation View in this case). The purpose of this is to show the legal terms at the beginning of the process so that users can focus on translating on the Translation View without additional legal text or confirmation steps when publishing.

santhosh moved this task from Backlog to In Review on the LE-Sprint-79 board.Dec 1 2014, 10:39 AM

Change 176327 merged by jenkins-bot:
Add the license agreement text to new translation entry points

https://gerrit.wikimedia.org/r/176327

santhosh moved this task from In Review to Done on the LE-Sprint-79 board.Dec 3 2014, 4:01 AM
santhosh closed this task as Resolved.Dec 3 2014, 6:46 AM
Nemo_bis added a comment.EditedDec 3 2014, 1:47 PM

publishing only happens in the regular editor (the Translation View in this case).

"Translation view" doesn't sound like the regular editor.

P.s.: Confirmed, it's not. Commented on that at https://www.mediawiki.org/wiki/Talk:Content_translation/Translation_view

Arrbee reopened this task as Open.Dec 9 2014, 3:33 PM
Arrbee added a project: LE-Sprint-80.
Arrbee added a subscriber: Arrbee.
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-80 board.Dec 10 2014, 7:28 AM

Change 179105 had a related patch set uploaded (by Santhosh):
Make sure translator see license text even if use manually created URL

https://gerrit.wikimedia.org/r/179105

Patch-For-Review

Screenshot of CX dashboard with source selector automatically opened and prefilled with URL parameters

santhosh moved this task from In Progress to In Review on the LE-Sprint-80 board.Dec 11 2014, 10:09 AM
Nemo_bis removed a subscriber: Nemo_bis.
Pginer-WMF added a comment.EditedDec 12 2014, 5:14 PM

I adjusted the styling for the red interlanguage links dialog (patchset) and the new translation dialog on the dashboard (patchset).

Screenshots:


Change 179105 merged by jenkins-bot:
Make sure translator see license text even if use manually created URL

https://gerrit.wikimedia.org/r/179105

Arrbee closed this task as Resolved.Dec 22 2014, 2:36 PM
Arrbee moved this task from In Review to Done on the LE-Sprint-80 board.

Change 181863 had a related patch set uploaded (by Santhosh):
Change the cookie name for valid translation workflow

https://gerrit.wikimedia.org/r/181863

Patch-For-Review

Change 181863 merged by jenkins-bot:
Change the cookie name for valid translation workflow

https://gerrit.wikimedia.org/r/181863

RandomDSdevel updated the task description. (Show Details)Mar 2 2015, 9:22 PM